Get Alert Plugins Of Type

Get Alert Plugins Of Type
Get Notification Plugins, optionally filtered for a specific type

Get Notification Plugins, optionally filtered for a specific type

Request
URI
GET
https://{api_host}/suite-api/api/alertplugins
COPY
Query Parameters
string
pluginTypeId
Optional

The notification type


Authentication
This operation uses the following authentication methods.
Responses
200

List containing Notification Plugins

Returns notification-plugins of type(s) application/json
"{\n  \"notificationPluginInstances\" : [ {\n    \"pluginTypeId\" : \"StandardEmailPlugin\",\n    \"pluginId\" : \"ccb1aa3d-99bd-41d5-9fad-eaa76785600f\",\n    \"name\" : \"Notification Plugin Sample\",\n    \"description\" : \"Where to notify Example\",\n    \"configValues\" : [ {\n      \"name\" : \"IS_SECURE_CONNECTION\",\n      \"value\" : \"true\"\n    }, {\n      \"name\" : \"SMTP_HOST\",\n      \"value\" : \"10.118.48.101\"\n    }, {\n      \"name\" : \"SMTP_PORT\",\n      \"value\" : \"25\"\n    }, {\n      \"name\" : \"senderEmailAddress\",\n      \"value\" : \"[email protected]\"\n    }, {\n      \"name\" : \"senderName\",\n      \"value\" : \"Somebody\"\n    } ]\n  }, {\n    \"pluginTypeId\" : \"StandardEmailPlugin\",\n    \"pluginId\" : \"ccb1aa3d-99bd-41d5-9fad-eaa76785600f\",\n    \"name\" : \"Notification Plugin Sample\",\n    \"description\" : \"Where to notify Example\",\n    \"configValues\" : [ {\n      \"name\" : \"IS_SECURE_CONNECTION\",\n      \"value\" : \"true\"\n    }, {\n      \"name\" : \"SMTP_HOST\",\n      \"value\" : \"10.118.48.101\"\n    }, {\n      \"name\" : \"SMTP_PORT\",\n      \"value\" : \"25\"\n    }, {\n      \"name\" : \"senderEmailAddress\",\n      \"value\" : \"[email protected]\"\n    }, {\n      \"name\" : \"senderName\",\n      \"value\" : \"Somebody\"\n    } ]\n  } ]\n}"
array of object
notificationPluginInstances
Optional

Collection of notification plugin instances


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/alertplugins